Subject: Re: Fw: [Bugme-new] [Bug 4628] New: Test server hang while running rhr (network) test on RHEL4 with kernel 2.6.12-rc1-mm4

From: Ganesh Venkatesan <[email-masked]>
Date: Thu, 26 May 2005 16:08:17 -0700

Herbert:

I do not get it. Bear with my ignorance.

e100_tx_timeout does not call e100_down. 

It is called from e100_tx_timeout_task which is invoked as a result of
schedule_work. Are you saying that it would still not have the right
context to call netif_disable_poll()?

thanks,
ganesh.

On 5/26/05, Herbert Xu <[email-masked]> wrote:
> On Thu, May 26, 2005 at 01:41:53PM -0700, Venkatesan, Ganesh wrote:
> >
> > I already responded to this analysis before. In any case, here it is:
> >
> > Later versions of e100 (3.4.8 for instance) includes a call to
> > netif_poll_disable in e100_down. This is supposed to wait and when it
> 
> As I said last time, this is broken since the code path in question
> starts from tx_timeout which is called in softirq context.  You'll
> need to schedule a work struct at least.
> 
> Cheers,
> --
> Visit Openswan at http://www.openswan.org/
> Email: Herbert Xu ~{PmV>HI~} <[email-masked]>
> Home Page: http://gondor.apana.org.au/~herbert/
> PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt
>